# OpenShaderDesigner: OpenShaderDesigner::EditorSystem Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::EditorSystem Class Reference

## Public Types

using | WindowID = uint64_t

## Static Public Member Functions

template<typename T >
static WindowID | ID ()
template<typename T >
static T * | Open ()
template<typename T >
static T * | Close ()
template<typename T >
static T * | Get ()
static void | Initialize ()
static void | Draw ()
static void | Shutdown ()
static void | HandleEvents (SDL_Event *event)

The documentation for this class was generated from the following files:

- Include/Editor/EditorSystem.h
- Source/Editor/EditorSystem.cpp